Update Adobe Flash & Shockwave Players Immediately for Priority 1 Vulnerability

Update Adobe Flash & Shockwave Players Immediately.

Adobe have today released updates to Flash Player and Shockwave Player for both PC and MAC to address a vulnerability that they classify as priority one – which means that it is a very high risk of it being exploited. The newly released versions on Windows and Mac are 11.8.800.168 and 11.7.700.242 respectively and any versions prior to this are vulnerable. Updates are also available for Adobe Reader and Acrobat but are classified as less urgent but we would still urge all clients to update as soon as possible.

To get the latest version of Adobe Flash Player, click on the image below

Get Adobe Flash Player

and simply follow the on screen instructions. In order to update Adobe Reader and Acrobat, open up these programs, if you have them installed, and then from the Help menu, click “Check for Updates”

The following two tabs change content below.
This is the main Havenswift Hosting company account that is used by different members of staff when making blog postings on behalf of the company rather than as individuals

Latest posts by Havenswift Hosting (see all)


There Is 1 Comment

Havenswift Hosting on 07 Jan, 2014

In order to check whether you have the latest version of Adobe Flash Player at any time, visit http://helpx.adobe.com/flash-player.html

Post Your Comment

Your email address will not be published. Required fields are marked *

Copyright Havenswift Hosting 2007-2018. All rights reserved.